#!version:1.0.0.1

###  Static Configuration  ###
features.action_uri_limit_ip = {{ YEALINK_NETWORK_ACTION_IP }}
features.reboot_in_talk_enable = {{ YEALINK_REBOOT_IN_TALK }}
local_time.time_zone = {{ YEALINK_TIMEZONE }}
local_time.ntp_server1 = {{ YEALINK_NTP_SERVER1 }}
local_time.ntp_server2 = {{ YEALINK_NTP_SERVER2 }}

programablekey.2.line = 1
programablekey.2.type = 22
programablekey.2.label = Контакты
features.remote_phonebook.enable = 1
remote_phonebook.data.1.url = tftp://{{ ansible_default_ipv4.address }}/phonebook.xml
remote_phonebook.data.1.name = Телефонная книга

programablekey.3.line = 1
programablekey.3.type = 9
programablekey.3.value = *8

security.user_name.admin = admin
security.user_password = admin:{{ YEALINK_ADMIN_PASSWORD }}

static.network.vlan.pc_port_enable = {{ YEALINK_NETWORK_VLAN_PC.ENABLE }}
static.network.vlan.pc_port_priority = {{ YEALINK_NETWORK_VLAN_PC.PRIORITY }}
static.network.vlan.pc_port_vid = {{ YEALINK_NETWORK_VLAN_PC.VID }}

static.auto_provision.power_on = {{ YEALINK_AUTOPROVISION.POWER_ON }}
static.auto_provision.repeat.enable = {{ YEALINK_AUTOPROVISION.REPEAT.ENABLE }}
static.auto_provision.repeat.minutes = {{ YEALINK_AUTOPROVISION.REPEAT.MINUTES }}
static.auto_provision.weekly.enable = {{ YEALINK_AUTOPROVISION.WEEKLY.ENABLE}}
static.auto_provision.weekly.begin_time = {{ YEALINK_AUTOPROVISION.WEEKLY.BEGINTIME }}
static.auto_provision.weekly.end_time = {{ YEALINK_AUTOPROVISION.WEEKLY.ENDTIME }}

static.security.trust_certificates = {{ YEALINK_TRUST_CERT }}
lang.wui = {{ YEALINK_LANG }}
lang.gui = {{ YEALINK_LANG }}